Breaking (!) API changes for v2 API, June 26 to July 3
This week's changelog for the mittwald API includes significant updates such as changes in response property types, the addition and removal of required properties, and the introduction of new optional request parameters across various endpoints.
Summary
- The property type for the response at
GET /v2/container-templateshas changed for the properties/items/licenseand/items/namefromstringtoobject. This is a breaking change. - The required property
/items/iconhas been removed from the response forGET /v2/container-templates. This is a breaking change. - The property type for the response at
GET /v2/container-templates/{templateId}has changed for the propertieslicenseandnamefromstringtoobject. This is a breaking change. - The required property
iconhas been removed from the response forGET /v2/container-templates/{templateId}. This is a breaking change. - The response property
/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/changes/afterhas become nullable for the status200inGET /v2/projects/{projectId}/activities. - The response property
/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/changes/beforehas become nullable for the status200inGET /v2/projects/{projectId}/activities. - The response property
/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/changes/after/softwareVersionhas become optional for the status200inGET /v2/projects/{projectId}/activities. - Several required properties have been removed from the response for
GET /v2/projects/{projectId}/activities, including:/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationAppVersionSet]/changes/after/appId/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationAppVersionSet]/changes/after/appVersionId/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationCopyRequested]/changes/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/changes/after/software/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/changes/after/updatePolicy/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserCreated]/changes/after/permissions/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserUpdated]/changes/after/permissions/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserUpdated]/changes/before/permissions
- The following optional properties have been removed from the response for
GET /v2/projects/{projectId}/activities:/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationAppVersionSet]/changes/before/appId/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationAppVersionSet]/changes/before/appVersionId/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/changes/before/software/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/changes/before/updatePolicy/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserCreated]/changes/before/permissions
- A new optional request parameter
typehas been added toGET /v2/container-templates. - Several optional properties have been added to the response for
GET /v2/container-templates, including:/items/domains/items/purpose/items/help/items/license/link/items/supportLink/items/userInputs/items/label
- Required properties have been added to the response for
GET /v2/container-templates, including:/items/iconUrl/items/license/name/items/name/de/items/name/en
- A new endpoint
GET /v2/container-templates/{templateId}/iconhas been added to retrieve a Container Template icon. - Optional properties have been added to the response for
GET /v2/customers/{customerId}/projectsandGET /v2/projects, including/items/serverShortId. - Required properties have been added to the response for
GET /v2/customers/{customerId}/projectsandGET /v2/projects, including/items/deletionRequested. - A non-success response with status
409has been added forPOST /v2/files. - Optional properties have been added to the response for
GET /v2/projects/{projectId}/activities, including:/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationAppVersionSet]/changes/before/version/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserCreated]/changes/before/permissionsRead/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserCreated]/changes/before/permissionsWrite
- The response property
/items/actionhas been updated to include new schemas in theanyOflist for the status200inGET /v2/projects/{projectId}/activities. - The response property
/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/parametershas become required for the status200inGET /v2/projects/{projectId}/activities. - Several required properties have been added to the response for
GET /v2/projects/{projectId}/activities, including various parameters and descriptions for different actions related to database and app installations.
Disclaimer: This summary is AI-generated. If you find any discrepancies, please refer to the detailed changes below.
Detailed changes
Changes in "List Container Templates"
-
⚠️ Breaking: the '/items/license' response's property type/format changed from 'string'/'' to 'object'/'' for status '200'
-
⚠️ Breaking: the '/items/name' response's property type/format changed from 'string'/'' to 'object'/'' for status '200'
-
⚠️ Breaking: removed the required property '/items/icon' from the response with the '200' status
-
added the new optional 'query' request parameter 'type'
-
added the optional property '/items/domains/items/purpose' to the response with the '200' status
-
added the optional property '/items/help' to the response with the '200' status
-
added the optional property '/items/license/link' to the response with the '200' status
-
added the optional property '/items/supportLink' to the response with the '200' status
-
added the optional property '/items/userInputs/items/label' to the response with the '200' status
-
added the required property '/items/iconUrl' to the response with the '200' status
-
added the required property '/items/license/name' to the response with the '200' status
-
added the required property '/items/name/de' to the response with the '200' status
-
added the required property '/items/name/en' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Get a Container Template by ID"
-
⚠️ Breaking: the 'license' response's property type/format changed from 'string'/'' to 'object'/'' for status '200'
-
⚠️ Breaking: the 'name' response's property type/format changed from 'string'/'' to 'object'/'' for status '200'
-
⚠️ Breaking: removed the required property 'icon' from the response with the '200' status
-
added the optional property 'domains/items/purpose' to the response with the '200' status
-
added the optional property 'help' to the response with the '200' status
-
added the optional property 'license/link' to the response with the '200' status
-
added the optional property 'supportLink' to the response with the '200' status
-
added the optional property 'userInputs/items/label' to the response with the '200' status
-
added the required property 'iconUrl' to the response with the '200' status
-
added the required property 'license/name' to the response with the '200' status
-
added the required property 'name/de' to the response with the '200' status
-
added the required property 'name/en' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Get the activities of a project"
-
⚠️ Breaking: the response property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/changes/after' became nullable for the status '200'
-
⚠️ Breaking: the response property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/changes/before' became nullable for the status '200'
-
⚠️ Breaking: the response property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/changes/after/softwareVersion' became optional for the status '200'
-
⚠️ Breaking: removed the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationAppVersionSet]/changes/after/appId' from the response with the '200' status
-
⚠️ Breaking: removed the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationAppVersionSet]/changes/after/appVersionId' from the response with the '200' status
-
⚠️ Breaking: removed the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationCopyRequested]/changes' from the response with the '200' status
-
⚠️ Breaking: removed the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/changes/after/software' from the response with the '200' status
-
⚠️ Breaking: removed the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/changes/after/updatePolicy' from the response with the '200' status
-
⚠️ Breaking: removed the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserCreated]/changes/after/permissions' from the response with the '200' status
-
⚠️ Breaking: removed the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserUpdated]/changes/after/permissions' from the response with the '200' status
-
⚠️ Breaking: removed the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserUpdated]/changes/before/permissions' from the response with the '200' status
-
removed the optional property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationAppVersionSet]/changes/before/appId' from the response with the '200' status
-
removed the optional property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationAppVersionSet]/changes/before/appVersionId' from the response with the '200' status
-
removed the optional property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/changes/before/software' from the response with the '200' status
-
removed the optional property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/changes/before/updatePolicy' from the response with the '200' status
-
removed the optional property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserCreated]/changes/before/permissions' from the response with the '200' status
-
added the optional property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationAppVersionSet]/changes/before/version' to the response with the '200' status
-
added the optional property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserCreated]/changes/before/permissionsRead' to the response with the '200' status
-
added the optional property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserCreated]/changes/before/permissionsWrite' to the response with the '200' status
-
added '#/components/schemas/de.mittwald.v1.activitylog.AppInstallationRequested, #/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareDeleted' to the '/items/action' response property 'anyOf' list for the response status '200'
-
the response property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/parameters' became required for the status '200'
-
removed the 'app.systemsoftware-deleted' enum value from the '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDesiredSystemSoftwareSet]/name' response property for the response status '200'
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationAppVersionSet]/changes/after/version' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationAppVersionSet]/parameters' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationCopyRequested]/parameters' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseCreated]/parameters/description' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseDeleted]/parameters/description' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseDescriptionSet]/parameters/description' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlNameSet]/parameters/description' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserCreated]/changes/after/permissionsRead' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserCreated]/changes/after/permissionsWrite' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserCreated]/parameters/databaseDescription' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserCreated]/parameters/description' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserDeleted]/parameters/databaseDescription' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserDeleted]/parameters/description' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserUpdated]/changes/after/permissionsRead' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserUpdated]/changes/after/permissionsWrite' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserUpdated]/changes/before/permissionsRead' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserUpdated]/changes/before/permissionsWrite' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserUpdated]/parameters/databaseDescription' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseMysqlUserUpdated]/parameters/description' to the response with the '200' status
-
added the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseVersionSet]/parameters/description' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Get a Container Template icon"
- endpoint added
For details, refer to the GET/ endpoint.
Changes in "List Projects belonging to a Customer"
-
added the optional property '/items/serverShortId' to the response with the '200' status
-
added the required property '/items/deletionRequested' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Create a File"
- added the non-success response with the status '409'
For details, refer to the POST/ endpoint.
Changes in "List Projects belonging to the executing user"
-
added the optional property '/items/serverShortId' to the response with the '200' status
-
added the required property '/items/deletionRequested' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Request an app installation"
- added the new optional request property 'systemSoftware'
For details, refer to the POST/ endpoint.
Client package releases
mittwald JavaScript SDK Release 4.405.0
The mittwald JavaScript SDK has been updated to version 4.405.0. This release includes the following feature:
- Updated the generated client to enhance functionality and performance (commit c4170b3).
For more details, visit the release page.
mittwald JavaScript SDK Release 4.404.0
The mittwald JavaScript SDK has been updated to version 4.404.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub here.
mittwald JavaScript SDK Release 4.403.0
The mittwald JavaScript SDK has been updated to version 4.403.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub here.
mittwald JavaScript SDK Release 4.402.0
The mittwald JavaScript SDK has been updated to version 4.402.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub here.
mittwald JavaScript SDK Release 4.401.0
The mittwald JavaScript SDK has been updated to version 4.401.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub here.
mittwald JavaScript SDK Release 4.400.0
The mittwald JavaScript SDK has been updated to version 4.400.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details on the changes, you can view the release notes.
mittwald JavaScript SDK Release 4.399.0
The mittwald JavaScript SDK has been updated to version 4.399.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub.
mittwald JavaScript SDK Release 4.398.1
The mittwald JavaScript SDK version 4.398.1 has been released. This update includes a bug fix specifically addressing a compile issue within the Models component. For more details on the changes and to view the release notes, visit the release page.